Bug 1642797 - [abrt] xfce4-settings: gtk_drag_finish(): xfce4-settings-manager killed by SIGSEGV
Summary: [abrt] xfce4-settings: gtk_drag_finish(): xfce4-settings-manager killed by SI...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xfce4-settings
Version: 29
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mukundan Ragavan
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:759dfe1f3b26bac60c4110ba5a3...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-10-25 06:08 UTC by Suvayu
Modified: 2019-06-18 03:45 UTC (History)
2 users (show)

Fixed In Version: xfce4-settings-4.13.6-1.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-18 00:54:53 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (20.38 KB, text/plain)
2018-10-25 06:08 UTC, Suvayu
no flags Details
File: cgroup (331 bytes, text/plain)
2018-10-25 06:08 UTC, Suvayu
no flags Details
File: core_backtrace (3.57 KB, text/plain)
2018-10-25 06:08 UTC, Suvayu
no flags Details
File: cpuinfo (1.41 KB, text/plain)
2018-10-25 06:08 UTC, Suvayu
no flags Details
File: dso_list (10.43 KB, text/plain)
2018-10-25 06:08 UTC, Suvayu
no flags Details
File: environ (1.37 KB, text/plain)
2018-10-25 06:08 UTC, Suvayu
no flags Details
File: exploitable (82 bytes, text/plain)
2018-10-25 06:08 UTC, Suvayu
no flags Details
File: limits (1.29 KB, text/plain)
2018-10-25 06:08 UTC, Suvayu
no flags Details
File: maps (58.67 KB, text/plain)
2018-10-25 06:08 UTC, Suvayu
no flags Details
File: mountinfo (3.21 KB, text/plain)
2018-10-25 06:08 UTC, Suvayu
no flags Details
File: open_fds (1.40 KB, text/plain)
2018-10-25 06:08 UTC, Suvayu
no flags Details
File: proc_pid_status (1.31 KB, text/plain)
2018-10-25 06:08 UTC, Suvayu
no flags Details

Description Suvayu 2018-10-25 06:08:06 UTC
Description of problem:
I was configuring my desktop on a freshly installed system, when this crash happened.

Version-Release number of selected component:
xfce4-settings-4.13.4-20.fc29

Additional info:
reporter:       libreport-2.9.6
backtrace_rating: 4
cmdline:        xfce4-settings-manager
crash_function: gtk_drag_finish
executable:     /usr/bin/xfce4-settings-manager
journald_cursor: s=fd19b58fcde0419ea98cc8bd198fc15b;i=837;b=e1d20b92451640dcbef3f377e65b661e;m=538bd3a9;t=5790be6cfc398;x=cd8a1f941881ddef
kernel:         4.18.5-300.fc29.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (4 frames)
 #0 gtk_drag_finish at gtkdnd.c:961
 #1 gtk_drag_drop_finished at gtkdnd.c:2593
 #2 gtk_drag_abort_timeout at gtkdnd.c:3265
 #9 gtk_main at gtkmain.c:1323

Comment 1 Suvayu 2018-10-25 06:08:12 UTC
Created attachment 1497304 [details]
File: backtrace

Comment 2 Suvayu 2018-10-25 06:08:13 UTC
Created attachment 1497305 [details]
File: cgroup

Comment 3 Suvayu 2018-10-25 06:08:15 UTC
Created attachment 1497306 [details]
File: core_backtrace

Comment 4 Suvayu 2018-10-25 06:08:16 UTC
Created attachment 1497307 [details]
File: cpuinfo

Comment 5 Suvayu 2018-10-25 06:08:18 UTC
Created attachment 1497308 [details]
File: dso_list

Comment 6 Suvayu 2018-10-25 06:08:20 UTC
Created attachment 1497309 [details]
File: environ

Comment 7 Suvayu 2018-10-25 06:08:21 UTC
Created attachment 1497310 [details]
File: exploitable

Comment 8 Suvayu 2018-10-25 06:08:23 UTC
Created attachment 1497311 [details]
File: limits

Comment 9 Suvayu 2018-10-25 06:08:26 UTC
Created attachment 1497312 [details]
File: maps

Comment 10 Suvayu 2018-10-25 06:08:28 UTC
Created attachment 1497313 [details]
File: mountinfo

Comment 11 Suvayu 2018-10-25 06:08:29 UTC
Created attachment 1497314 [details]
File: open_fds

Comment 12 Suvayu 2018-10-25 06:08:31 UTC
Created attachment 1497315 [details]
File: proc_pid_status

Comment 13 Mukundan Ragavan 2018-10-28 19:55:44 UTC
(In reply to Suvayu from comment #0)
> Description of problem:
> I was configuring my desktop on a freshly installed system, when this crash
> happened.
> 

Is this crash happening every time you are using the desktop?

Comment 14 Mukundan Ragavan 2018-10-28 19:56:03 UTC
(In reply to Suvayu from comment #0)
> Description of problem:
> I was configuring my desktop on a freshly installed system, when this crash
> happened.
> 

Is this crash happening every time you are using the desktop?

Comment 15 Suvayu 2018-10-29 00:22:12 UTC
Hi Mukundan,

No, just this once.  I had just installed the system, and was configuring my desktop.  I have since rebooted and used the system for another day, and it hasn't recurred.

One thought, I think I might have also been updating the system in the background (I installed from Live media), don't recall exactly.  Do you think the update process could have caused the crash?

Hope this helps.

Comment 16 Fedora Update System 2019-05-18 13:49:46 UTC
xfce4-settings-4.13.6-1.fc30 xfce4-appfinder-4.13.3-1.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-cfc156acd7

Comment 17 Fedora Update System 2019-05-19 00:51:12 UTC
xfce4-appfinder-4.13.3-1.fc30, xfce4-settings-4.13.6-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-cfc156acd7

Comment 18 Fedora Update System 2019-06-18 00:54:53 UTC
xfce4-appfinder-4.13.3-1.fc30, xfce4-settings-4.13.6-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2019-06-18 03:45:48 UTC
xfce4-appfinder-4.13.3-1.fc30, xfce4-settings-4.13.6-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.